[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# SetMemoryManager

Set a memory manager

## Declaration

Source position: heaph.inc line 55

`procedure SetMemoryManager(`
`const MemMgr: TMemoryManager`
`);`

## Description

SetMemoryManager sets the current memory manager record to MemMgr.

For an example, see the programmer's guide.

## Errors

None.

## See also

GetMemoryManager |  | Return current memory manager
IsMemoryManagerSet |  | Is the memory manager set

Documentation generated on: Feb 26 2014